Update a metric template group
PUT
/v1/metrictemplategroup/{id}/
const url = 'https://example.com/v1/metrictemplategroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"default_label":"example","server_group":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","threshold_low_warning":1,"threshold_low_critical":1,"threshold_high_warning":1,"threshold_high_critical":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/metrictemplategroup/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "default_label": "example", "server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_low_warning": 1, "threshold_low_critical": 1, "threshold_high_warning": 1, "threshold_high_critical": 1 }'Replace all fields of an existing metric template group.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this metric template group.
Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
default_label
required
string
server_group
required
string format: uuid
threshold_low_warning
number format: double
threshold_low_critical
number format: double
threshold_high_warning
number format: double
threshold_high_critical
number format: double
created_at
required
string format: date-time
created_by
required
string format: uuid
Examplegenerated
{ "default_label": "example", "server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_low_warning": 1, "threshold_low_critical": 1, "threshold_high_warning": 1, "threshold_high_critical": 1}A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
default_label
required
string
server_group
required
string format: uuid
threshold_low_warning
number format: double
threshold_low_critical
number format: double
threshold_high_warning
number format: double
threshold_high_critical
number format: double
created_at
required
string format: date-time
created_by
required
string format: uuid
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
default_label
required
string
server_group
required
string format: uuid
threshold_low_warning
number format: double
threshold_low_critical
number format: double
threshold_high_warning
number format: double
threshold_high_critical
number format: double
created_at
required
string format: date-time
created_by
required
string format: uuid
Examplegenerated
{ "default_label": "example", "server_group": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "threshold_low_warning": 1, "threshold_low_critical": 1, "threshold_high_warning": 1, "threshold_high_critical": 1}